Process Policy Valuation
post
/rest/policyvaluation
Accepts JSON/XML, validates policyNumber (required), optional companyGuid/policyValuesFlag/effectiveDate/nearest, and executes valuation.
Request
Header Parameters
-
Password(required):
Application password.
-
PasswordType(required):
Password type (case-sensitive). Use PasswordText. PasswordDigest requires webservice.allowHashedPassword=Yes.
-
Username(required):
Application username.
Response
200 Response
Processed successfully.
400 Response
Validation/functional error.
401 Response
Authentication failed.
403 Response
Authorization failed.
500 Response
Internal processing error.
Examples
This example describes how to support creation of policy valuation web service in JSON and XML format.
Example cURL Command in JSON format
Use the following cURL command to submit a request on the REST resource:
curl -X POST \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u username:passworsd\
"http://server:port/PASJava/rest/policyValuation" \
-d '{"Use this placeholder to plug-in the example request body given below"}'
Example Request Body in JSON format
The following shows an example of the request body in JSON format:
{
"policyValuation": {
"policyNumber": "VDA15052023",
"companyGuid":"05711222-7DB3-4EBD-A821-57A30A699B88",
"effectiveDate": "1/1/2001",
"policyValuesFlag": "true",
"nearest": "false"
}
}
Example Response Body in JSON format
The following shows an example of the response body in JSON format:
{
"status": "SUCCESS",
"message": "PolicyValuation request completed successfully.",
"policyValuation": {
"policyNumber": "VDA15052023",
"companyGuid": "05711222-7DB3-4EBD-A821-57A30A699B88",
"effectiveDate": "1/1/2001",
"policyValuesFlag": true,
"nearest": false,
"result": {
"valuationStatus": "Processed",
"valuationDate": "1/1/2001"
}
}
}
Example cURL Command in XML format
Use the following cURL command to submit a request on the REST resource:
curl -X POST \
-H "Accept: application/xml" \
-H "Content-Type: application/xml" \
-u username:password \
-d '<policyValuation>
<policyNumber>VDA15052023</policyNumber>
<companyGuid>05711222-7DB3-4EBD-A821-57A30A699B88</companyGuid>
<effectiveDate>1/1/2001</effectiveDate>
<policyValuesFlag>true</policyValuesFlag>
<nearest>false</nearest>
</policyValuation>' \
"http://server:port/PASJava/rest/policyvaluation"
Example Request Body in XML Format
The following shows an example of the request body in XML format:
<policyValuation> <policyNumber>VDA15052023</policyNumber> <companyGuid>05711222-7DB3-4EBD-A821-57A30A699B88</companyGuid> <effectiveDate>1/1/2001</effectiveDate> <policyValuesFlag>true</policyValuesFlag> <nearest>false</nearest> </policyValuation>
Example Response Body in XML Format
The following shows an example of the response body in XML format:
<response>
<status>SUCCESS</status>
<message>PolicyValuation request completed successfully.</message>
<policyValuation>
<policyNumber>VDA15052023</policyNumber>
<companyGuid>05711222-7DB3-4EBD-A821-57A30A699B88</companyGuid>
<effectiveDate>1/1/2001</effectiveDate>
<policyValuesFlag>true</policyValuesFlag>
<nearest>false</nearest>
<result>
<valuationStatus>Processed</valuationStatus>
<valuationDate>1/1/2001</valuationDate>
</result>
</policyValuation>
</response>